#Enter the name of the world you want to use for the zombie apocalypse
#Replace "world" with whatever your server's world is
world: acidrains

#DO NOT SET THIS TO TRUE UNLESS YOU WANT SPAM
#THIS IS A DEVELOPERS FLAG - IT SEND SERVER BROADCASTS
debugOutput: false

#logServerMessages is true if you want MA messages displayed in the server's console, false if not.
#another DEBUG option but much less intrusive - sends important details to console - ok to leave true
logServerMessages: true

#when you have configured this file with your world's name change false to true
configured: true

#setting this to true will only spawn mobs at designated locations
arenaMode: false

#add Acid Rain (rain damages players)
allowAcidRain: true
acidRainDamage: 1.0

#allow special mayhem effects
allowMayhem: true

#numzombies is the amount of zombies you want to spawn per person from a default event.
mobsPerPlayer: 20

#minimum distance from a player they will spawn
minSpawnDistance: 7

#winpercent is the %, expressed in decimal (meaning 50% is 0.5, 25% is 0.25)
#of zombies that spawn that must be killed to win
killPercent: 0.5

#set a hard limit for the number of zombies spawned. if numzombies*players is greater
#than this number it will only spawn as many zombies as hardlimit. 
#any number less than one means there is no limit.
hardlimit: -1

#chance is for the chance for an apocalypse to happen 
#the value is a number between 1 and 100 (for 20% use 20)
startChance: 40

#1000 = 1 hour (1000ticks)
#setting this TOO low could cause lag or make playing too difficult
#adjust this to find what works for yoru server
#default is 1000 (hourly check for event happening)
frequency: 1000

# how many game hours do they have to win the event
# be warned that starting an event with light sensitive mobs will cause issues
# for instance, make sure you start zombie events at night and end it before morning
timeToWin: 4

# nightmare settings
# increase the difficulty of the event

# set chance to 0 for no chance
explodeChance: 10
# destroy blocks (can be VERY destructive - use caution)
explodeBlocks: false
# will also set fires (again, use caution)
explodeFire: false

#The next two are for disabling/enabling some chat messages
#warning of the possibility for a zombie apocalypse (happens at 8:00 PM)
warningmsg: true
warningmsgText: The ground is trembling, an apocalypse is approaching!
    
#message if an apocalypse didn't happen
safemsg: true
safemsgText: You are safe for another night, the monsters have decided to remain quiet. Tomorrow you might not be so lucky!


#
# MOB TABLE
#

# mob specific flags

# do not allow creeper to damage blocks // still deal damage
creeperProtect: false

# current MOB_TYPES
# ZOMBIE, CREEPER, PIG_ZOMBIE (coming: SPIDER, CAVE_SPIDER)

# total count must match number of mobs defined below
totalMobCount: 3

# total of all chances must equal 100
mob1: ZOMBIE 
mob1Chance: 60
mob1SpawnMsg: The zombies are coming!

mob2: CREEPER
mob2Chance: 30
mob2SpawnMsg: The creepers are attacking!

mob3: PIG_ZOMBIE
mob3Chance: 10
mob3SpawnMsg: Pig zombies! Be careful!


# =======  Enchantments ========
# which enchants can be placed on a reward weapon
# %'s this number of enchants will be added to a reward weapon/armor
# these levels represent how many enchants can be added to an item
# MUST TOTAL 100
enchantChance0: 75
enchantChance1: 20
enchantChance2: 3
enchantChance3: 2


# chance for each level to be added
# these levels represent the level of the individual enchantment
enchantLevel1: 65
enchantLevel2: 20
enchantLevel3: 10
enchantLevel4: 3
enchantLevel5: 2


# weapon enchants
# list each enchantment below ensuring COUNT is correct
weaponEnchantCount: 3

#enchants and chances
weaponEnchant1: FIRE_ASPECT
weaponChance1: 33

weaponEnchant2: KNOCKBACK
weaponChance2: 33

weaponEnchant3: DAMAGE_ALL
weaponChance3: 34


# weapon enchants
# list each enchantment below ensuring COUNT is correct
armorEnchantCount: 1

#enchants
armorEnchant1: THORNS
armorChance1: 100


#CUSTOM LOOT
#for each possible reward include the name of the item, use '/za getitem' with an item in your hand
#to get the name of each item, spell the name exactly the same way as it shows
#copy and paste one of these as a template for each additional item you want and increase the numbers
#remember to increase 'numitems' to reflect the number of items you ahve
#rewardTypeN: [ITEM | MONEY | XP]
#rewardN: [item_name | XP or money_amount]
#chanceN: [integer]
#amountN: [integer | leave at 1 for XP or MONEY]
#messageN: [message]
#CHANCE WORKS THIS WAY - this is not a percent
#a random number will be generated between 1 and the total chance between all items
#if item 1's chance is 5, and item 2's chance is 10 then a number between 1 and 15 will be generated
#item 1 will have 5 chances of those 15 possible numbers to be chosen, and item 2 will have 10 chances.
#Simply put, each item will have that number of chances to be picked out of the sum of all chances.
#total number of rewards defined below (must match):
totalRewards: 11

reward1: ITEM
rewardItem1: DIAMOND_SWORD
rewardChance1: 5
rewardAmount1: 1
rewardMessage1: Well done, hero. You are awarded with this sword of champions!
rewardTier1: 1

reward2: ITEM
rewardItem2: DIAMOND_CHESTPLATE
rewardChance2: 5
rewardAmount2: 1
rewardMessage2: Well done, hero. You are awarded with this chestplate of champions!
rewardTier2: 1

reward3: ITEM
rewardItem3: DIAMOND
rewardChance3: 25
rewardAmount3: 2
rewardMessage3: Lucky! You are rewarded with two diamonds!
rewardTier3: 1

reward4: ITEM
rewardItem4: GOLD_SWORD
rewardChance4: 25
rewardAmount4: 1
rewardMessage4: Fancy! A golden sword!
rewardTier4: 1

reward5: ITEM
rewardItem5: EMERALD
rewardChance5: 25
rewardAmount5: 1
rewardMessage5: Congratulations, an emerald! Happy trading!
rewardTier5: 1

reward6: ITEM
rewardItem6: DIAMOND
rewardChance6: 50
rewardAmount6: 1
rewardMessage6: Excellent! You are rewarded with a diamond!
rewardTier6: 1

reward7: ITEM
rewardItem7: IRON_INGOT
rewardChance7: 150
rewardAmount7: 5
rewardMessage7: Good job! You are rewarded with five iron ingots!
rewardTier7: 1

reward8: MONEY
rewardItem8:
rewardChance8: 50
rewardAmount8: 1000
rewardMessage8: Nothing says thanks like money!
rewardTier8: 1

reward9: XP
rewardItem9: xp
rewardChance9: 50
rewardAmount9: 100
rewardMessage9: You have been awarded more XP!
rewardTier9: 1

reward10: XP
rewardItem10: level
rewardChance10: 50
rewardAmount10: 2
rewardMessage10: You have been awarded XP levels!
rewardTier10: 1

reward11: ITEM
rewardItem11: SPECIAL_TNT
rewardChance11: 50
rewardAmount11: 1
rewardMessage11: Hmm, what does this TNT do?!
rewardTier11: 1